Page MenuHomePhabricator

Add margin or white border below page issue banners
Closed, ResolvedPublic1 Estimate Story Points

Description

Problem

When page issue banners stack (either on top of other page issue banners, or on top of other hatnotes - disambiguation/redirect/etc.) it becomes difficult to distinguish them from other elements/banners.

example of page issue banner blending into hatnote below itexample of stacked page issues blending into each other

Solution

Can we add either a 1px margin, or a 1px white border, to .ambox?

with border/marginwith border/margin

Developer notes

We'll want to target the top of any sibling elements, being careful to not apply the rules inside the page issues overlay or any issues collapsed inside a multiple issues template:

.mw-parser-output >.ambox + .ambox {
    border-top: solid 1px @var;
}

QA instructions

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterAdd bottom margin to page issues

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2018, 6:33 PM
Jdlrobson updated the task description. (Show Details)Aug 22 2018, 6:59 PM
ovasileva triaged this task as Medium priority.Aug 28 2018, 11:21 AM
ovasileva moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.

Change 456379 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Add bottom border to page issues

https://gerrit.wikimedia.org/r/456379

Change 456379 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add bottom margin to page issues

https://gerrit.wikimedia.org/r/456379

alexhollender updated the task description. (Show Details)Sep 5 2018, 2:58 PM

Verified that there is now 1px white border between each of the grey banners. Checked on Chrome and Safari on both desktop and Mobile. Looks good to me.


ovasileva closed this task as Resolved.Sep 10 2018, 2:56 PM
ovasileva added a subscriber: ovasileva.

Looks good!